read.crd.amber {bio3d} | R Documentation

## Read AMBER Coordinate files

### Description

Read coordinate data from an AMBER coordinate / restart file.

### Usage

    ## S3 method for class 'amber'
    read.crd(file, ...)

### Arguments

`file` | name of crd file to read.
`...` | arguments passed to and from functions.

### Details

Read a AMBER Coordinate format file.

### Value

A list object of type ‘amber’ and ‘crd’ with the following components:

`xyz` | a numeric matrix of class ‘xyz’ containing the Cartesian coordinates.
`velocities` | a numeric vector containg the atom velocities.
`time` | numeric, length of the simulation (applies to Amber restart coordinate files).
`natoms` | total number of atoms in the coordinate file.
`box` | dimensions of the box.

### Note

See AMBER documentation for Coordinate format description.

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696. http://ambermd.org/formats.html

### See Also

`read.prmtop`, `read.ncdf`, `as.pdb`, `atom.select`, `read.pdb`, `read.crd.charmm`

### Examples

    ## Not run:
    ## Read Amber PRMTOP and CRD files
    prm <- read.prmtop(system.file("examples/crambin.prmtop", package="bio3d"))
    crd <- read.crd(system.file("examples/crambin.inpcrd", package="bio3d"))

    ## Convert to PDB format
    pdb <- as.pdb(prm, crd)

    ## Atom selection
    ca.inds <- atom.select(prm, "calpha")

    ## End(Not run)

[Package bio3d version 2.3-4 Index]